Bug 253313 - CVE-2007-3739 LTC36188-Don't allow the stack to grow into hugetlb reserved regions
Summary: CVE-2007-3739 LTC36188-Don't allow the stack to grow into hugetlb reserved re...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.0
Hardware: All Linux
urgent
medium
Target Milestone: ---
: ---
Assignee: Don Howard
QA Contact: Martin Jenner
URL:
Whiteboard: impact=moderate,source=redhat,reporte...
Keywords: Security
Depends On:
Blocks: CVE-2007-3739
TreeView+ depends on / blocked
 
Reported: 2007-08-17 20:02 UTC by Marcel Holtmann
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHSA-2007-0705
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 09:13:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0705 normal SHIPPED_LIVE Important: kernel security update 2007-09-13 09:21:22 UTC

Description Marcel Holtmann 2007-08-17 20:02:43 UTC
From Adam Litke's mail to LKML (http://lkml.org/lkml/2007/1/29/180):

[PATCH] Don't allow the stack to grow into hugetlb reserved regions
    
    When expanding the stack, we don't currently check if the VMA will cross
    into an area of the address space that is reserved for hugetlb pages.
    Subsequent faults on the expanded portion of such a VMA will confuse the
    low-level MMU code, resulting in an OOPS.  Check for this.

Comment 1 Don Howard 2007-08-31 17:29:25 UTC
A patch for this issue has been included in build 2.6.18-8.1.10.

Comment 4 Red Hat Bugzilla 2007-09-13 09:13:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0705.html



Note You need to log in before you can comment on or make changes to this bug.